Skip to main content
GET
/
api
/
tenant
/
ai
Retrieves the AI provider configuration for the current tenant.
curl --request GET \
  --url https://{tenant}.ekso.app/api/tenant/ai \
  --header 'Authorization: Bearer <token>'
{
  "entity": "<string>",
  "openAIActive": true,
  "openAIKey": "<string>",
  "openAIModel": "<string>",
  "azureActive": true,
  "azureEndpoint": "<string>",
  "azureKey": "<string>",
  "azureModel": "<string>",
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Response

The AI provider configuration.

entity
null | string
openAIActive
boolean
openAIKey
string
openAIModel
string
azureActive
boolean
azureEndpoint
string
azureKey
string
azureModel
string
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean